using System;
using System.Collections.Concurrent;

namespace ProjectManagementSystem.Device.CasunBox
{
    public interface IBoxCommunication
    {
        event Action<string, Exception> OnLogMsg;
        event Action<InfoBox> OnInfoBox;
        ConcurrentDictionary<int, InfoBox> InfoBoxDict { get; }
        bool IsStart { get;}
        void CommandEnqueue(BoxCommandBase boxCommand);
        void Start();
        void Stop();
    }
}
